Bug 361831 - Tools do not work due to /usr/local paths
Tools do not work due to /usr/local paths
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmdevtools (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 10:16 EDT by James Antill
Modified: 2008-01-02 20:48 EST (History)
0 users

See Also:
Fixed In Version: 6.4-0.1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 20:48:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Antill 2007-11-01 10:16:43 EDT
Description of problem:

% rpmfile ustr-1.0.2-1.fc7.x86_64.rpm
/usr/bin/rpmargs: line 37: /usr/local/share/rpmdevtools/tmpdir.sh: No such file
or directory
[1]    15461 exit 1     rpmfile 

...after fixing that there was the same problem in at least:

/usr/share/rpmdevtools/tmpdir.sh
/usr/bin/rpmpeek

...and that was just to get rpmfile to work.

Version-Release number of selected component (if applicable):
rpmdevtools(0:6.1-0.1.fc7).noarch
Comment 1 Ville Skyttä 2007-11-01 14:51:38 EDT
Crap, I've been running a local devel version which isn't affected, and didn't
notice.  Thanks for the report, a fix is on the way.
Comment 2 Fedora Update System 2007-11-09 18:52:15 EST
rpmdevtools-6.4-0.1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmdevtools'
Comment 3 Fedora Update System 2008-01-02 20:48:38 EST
rpmdevtools-6.4-0.1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.